Subject: Re: [PATCH] Fixing path quoting issues

From: Andreas Ericsson <[email-masked]>
Date: Sun, 14 Oct 2007 00:36:27 +0200

Jonathan del Strother wrote:
> On 11 Oct 2007, at 07:19, Johannes Sixt wrote:
> 
>>> -     git-commit -F msg -m amending ."
>>> +    git-commit -F msg -m amending ."
>>
>> You fix whitespace...
>>
>>>  test_expect_success \
>>> -    "using message from other commit" \
>>> -    "git-commit -C HEAD^ ."
>>> +     "using message from other commit" \
>>> +     "git-commit -C HEAD^ ."
>>
>> ... and you break it. More of these follow. Don't do that, it makes 
>> patch review unnecessarily hard.
> 
> 
> I'm just preparing to release this patch... was that "don't break 
> whitespace", or "don't try to fix whitespace in a patch that's has 
> nothing to do with whitespacing-fixing" ?
> 

Both, I think ;-)

> And while I'm here - tabs are preferred, are they?  There seem to be a 
> mixture of tabs & 4 space indentation.

1 hard tab / level of indent, but use spaces for continuation alignment.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231